
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="UTF-8">
	<title>Metronic Documentation | Keenthemes</title>

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

	<meta name="description" content="General documentation for developers about supported frameworks and used technologies"/>

	<meta name="keywords" content="metronic, admin themes, bootstrap admin theme, keen, themes, keenthemes, bootstrap, sass, css, css3, laravel, dashboard, HTML, html5, vue, vuejs, angular,
	react, javascript, datepicker, datatable, free admin themes, free templates, bootstrap admin, freebies, bootstrap themes, web design, web development, custom development, ASP.NET, premium themes"/>

	<link rel="canonical" href="https://keenthemes.com/metronic"/>
	<meta property="og:locale" content="en_US"/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta property="og:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta property="og:url" content="https://keenthemes.com/metronic"/>
	<meta property="og:site_name" content="Keenthemes"/>
	<meta property="article:publisher" content="https://www.facebook.com/keenthemes"/>
	<meta name="twitter:card" content="summary_large_image"/>
	<meta name="twitter:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta name="twitter:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta name="twitter:domain" content="Keenthemes"/>

	<link rel="shortcut icon" href="./assets/favicon.ico"/>

	<link href="./assets/style/flaticon.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/tiny-slider/dist/tiny-slider.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/style/style.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/highlight.js/styles/railscasts.css" rel="stylesheet" type="text/css">	<script src="./assets/plugins/jquery/dist/jquery.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tether/dist/js/tether.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/popper.js/dist/umd/popper.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/bootstrap/dist/js/bootstrap.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/perfect-scrollbar/dist/perfect-scrollbar.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tiny-slider/dist/tiny-slider.js?v=7.2.3" type="application/javascript"></script><script src="./assets/js/custom.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/highlight.js/lib/highlight.js" type="application/javascript"></script><script src="./assets/plugins/highlight.js/build/highlight.pack.js" type="application/javascript"></script><script src="./assets/js/docs.js" type="application/javascript"></script>
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700">
</head>
<body>

<div class="wrapper"><!-- wrapper -->

	<!-- section -->
<section class="section section--header" >
	<!-- header -->
	<header>
		<div class="content">
			<div class="header__handler">
				<div class="sidebar">
					<span class="hamburger">
						<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 129 129" enable-background="new 0 0 129 129" width="40px" height="40px">
							<g>
								<path d="m91.4,33.5h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,87.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,60.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
							</g>
						</svg>
					</span>
                    <div class="sidebar__menu_wrap">
                        <span class="sidebar__menu_close">x</span>
                        <ul class="sidebar__menu"><li class="sidebar__menu__item"><a href="index.html" target="" title="Preview"><span>Preview</span></a></li><li class="sidebar__menu__item"><a href="faq.html" target="" title="Faq"><span>Faq</span></a></li><li class="sidebar__menu__item active"><a href="docs.html" target="" title="Docs"><span>Docs</span></a></li><li class="sidebar__menu__item"><a href="video.html" target="" title="Videos"><span>Videos</span></a></li><li class="sidebar__menu__item"><a href="changelog.html" target="" title="Changelog"><span>Changelog</span></a></li><li class="sidebar__menu__item"><a href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub"><span>GitHub</span></a></li><li class="sidebar__menu__item"><a href="reviews.html" target="" title="Reviews"><span>Reviews</span></a></li><li class="sidebar__menu__item"><a href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials"><span>Tutorials</span></a></li></ul>                    </div>
				</div>
				<a href="https://keenthemes.com" class="kt_logo"><img src="./assets/img/logo.png" alt="logo"></a>
			</div>
			<div class="header__references d-none d-md-block">
				<a href="https://keenthemes.com/" class="header__references_home">Home</a>
				<a href="https://keenthemes.com/metronic/" class="header__references_theme">Metronic</a>
				<a href="https://keenthemes.com/hireus/" class="header__references_hire" target="_blank">Hire Us</a>
				<a href="https://1.envato.market/EA4JP" class="header__references_purchase" target="_blank">Buy Now</a>
			</div>
		</div>
	</header>
	<!-- header END -->

	<!-- content -->
	<div class="content">
		<!-- intro -->
		<div class="intro">
			<img src="./assets/img/metronic_logo.svg" alt="logo">

			<span class="intro__subtitle">
				The World’s #1 Bootstrap 4 HTML, Angular 11, React, VueJS & Laravel<br/>Admin Dashboard Theme			</span>
		</div>
		<!-- intro END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

<!-- section -->
<section class="section">
	<!-- curved -->
	<div class="curved-bg" style=" position: relative;margin-top: -55px;">
		<svg  width="100%" height="56px" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" class="">
			<path d="M0,0 C16.6666667,66 33.3333333,99 50,99 C66.6666667,99 83.3333333,66 100,0 L100,100 L0,100 L0,0 Z" fill="white"/></path>
		</svg>
	</div>
	<!-- curved -->

	<!-- content -->
	<div class="content">
		<!-- main__menu_wrap -->
		<div class="main-menu-wrap">
			<div class="main-menu">
                <a class="main-link" href="index.html" target="" title="Preview">Preview</a><a class="main-link" href="faq.html" target="" title="Faq">Faq</a><a class="main-link active" href="docs.html" target="" title="Docs">Docs</a><a class="main-link" href="video.html" target="" title="Videos">Videos</a><a class="main-link" href="changelog.html" target="" title="Changelog">Changelog</a><a class="main-link" href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub">GitHub</a><a class="main-link" href="reviews.html" target="" title="Reviews">Reviews</a><a class="main-link" href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials">Tutorials</a>			</div>
		</div>
		<!-- main__menu_wrap END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

	<div style="background: #F9F4EE;">
    <section class="section section--white">
	<!-- section -->
	<div id="docs" class="content">

		<div class="contents">
			<!-- contents -->

			<div class="doc-side-menu">
				<p>&nbsp;</p>
				<i class="la la-bars toggle-btn" data-toggle="collapse" data-target="#menu-content"></i>
				<div class="menu-list">
					<div class="min-vh-100" id="sidebar"><ul class="nav flex-column flex-nowrap menu-content" id="menu-content"><li class="nav-item menu-separator"><h4>VERSIONS</h4></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae75f17" data-toggle="collapse" data-target="#a6049e0ae75f17">HTML<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae75f17" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae797a2" data-toggle="collapse" data-target="#a6049e0ae797a2">Quick Start<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae797a2" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-quick-start.html">Gulp</a></li><li class="nav-item"><a class="nav-link" href="html-webpack-quick-start.html">Webpack</a></li></ul></div></li><li class="nav-item"><a class="nav-link" href="html-demos.html">Multi-Demo</a></li><li class="nav-item"><a class="nav-link" href="html-files-structure.html">Files Structure</a></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae797e2" data-toggle="collapse" data-target="#a6049e0ae797e2">Build Tools<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae797e2" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-build-tools.html">Gulp</a></li><li class="nav-item"><a class="nav-link" href="html-webpack-build-tools.html">Webpack</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae797f7" data-toggle="collapse" data-target="#a6049e0ae797f7">Customization<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae797f7" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-sass.html">SASS</a></li><li class="nav-item"><a class="nav-link" href="html-javascript.html">Javascript</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae79809" data-toggle="collapse" data-target="#a6049e0ae79809">Components<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae79809" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-components-datatable.html">Datatable</a></li><li class="nav-item"><a class="nav-link" href="html-components-menu.html">Menu</a></li><li class="nav-item"><a class="nav-link" href="html-components-header.html">Header</a></li><li class="nav-item"><a class="nav-link" href="html-components-offcanvas.html">Offcanvas</a></li><li class="nav-item"><a class="nav-link" href="html-components-scrolltop.html">Scrolltop</a></li><li class="nav-item"><a class="nav-link" href="html-components-toggle.html">Toggle</a></li><li class="nav-item"><a class="nav-link" href="html-components-wizard.html">Wizard</a></li><li class="nav-item"><a class="nav-link" href="html-components-dialog.html">Dialog</a></li><li class="nav-item"><a class="nav-link" href="html-components-card.html">Card</a></li></ul></div></li><li class="nav-item"><a class="nav-link" href="html-rtl-version.html">RTL Version</a></li><li class="nav-item"><a class="nav-link" href="html-layout-builder.html">Layout Builder</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae79889" data-toggle="collapse" data-target="#a6049e0ae79889">Angular<div class="arrow"></div></a><div class="sub-menu collapse show" id="a6049e0ae79889" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item active"><a class="nav-link" href="angular-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="angular-installation.html">Installation</a></li><li class="nav-item"><a class="nav-link" href="angular-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="angular-skeleton.html">Skeleton</a></li><li class="nav-item"><a class="nav-link" href="angular-i18n.html">Internationalization</a></li><li class="nav-item"><a class="nav-link" href="angular-mock-backend.html">Mock Backend</a></li><li class="nav-item"><a class="nav-link" href="angular-how-create-custom-page.html">Create a Page</a></li><li class="nav-item"><a class="nav-link" href="angular-deployment.html">Deployment</a></li><li class="nav-item"><a class="nav-link" href="crud-tables.html">CRUD + Tables</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae7d3d9" data-toggle="collapse" data-target="#a6049e0ae7d3d9">React<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae7d3d9" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="react-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="react-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="react-deployment.html">Deployment</a></li><li class="nav-item"><a class="nav-link" href="react-internationalization.html">Internationalization (i18n)</a></li><li class="nav-item"><a class="nav-link" href="react-mock-back-end.html">Mock Back-end</a></li><li class="nav-item"><a class="nav-link" href="react-create-a-page.html">Create a page</a></li><li class="nav-item"><a class="nav-link" href="react-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="react-typescript.html">TypeScript</a></li><li class="nav-item"><a class="nav-link" href="react-skeleton.html">Skeleton</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae7d3f0" data-toggle="collapse" data-target="#a6049e0ae7d3f0">Vue<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae7d3f0" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="vue-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="vue-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="vue-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="vue-i18n.html">Internationalization (i18n)</a></li><li class="nav-item"><a class="nav-link" href="vue-skeleton.html">Skeleton</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0ae7d3fb" data-toggle="collapse" data-target="#a6049e0ae7d3fb">Laravel<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0ae7d3fb" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="laravel-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="laravel-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="laravel-file-structure.html">File Structure</a></li><li class="nav-item"><a class="nav-link" href="laravel-config.html">Layout Config</a></li><li class="nav-item"><a class="nav-link" href="laravel-menu-generator.html">Menu Generator</a></li><li class="nav-item"><a class="nav-link" href="vue-laravel-integration.html">Vue + Laravel Integration</a></li></ul></div></li><li class="nav-item menu-separator"><h4>GENERAL</h4></li><li class="nav-item"><a class="nav-link" href="github-access.html">GitHub Access</a></li><li class="nav-item"><a class="nav-link" href="update.html">Updates</a></li><li class="nav-item"><a class="nav-link" href="api-reference.html">API Reference</a></li><li class="nav-item"><a class="nav-link" href="net-integration.html">.NET Integration</a></li><li class="nav-item"><a class="nav-link" href="more-resources.html">More Resources</a></li><li class="nav-item"><a class="nav-link" href="references.html">References</a></li><li class="nav-item"><a class="nav-link" href="security-notice.html">Security Notice</a></li></ul></div>				</div>
			</div>

			<div class="contents__box contents__box--right">
				<!-- contents__box -->

<div class="section">
  <h2 class="section-head">Angular</h2>

  <h3 class="section-title">Overview</h3>
  <div class="section-content">
    <p>Angular is a structural framework for dynamic web apps. It lets you use HTML as your template language and lets
      you extend HTML's syntax to express your application's
      components clearly. Angular's data binding
      and dependency injection eliminate much of the code you would otherwise have to write. And it all happens within
      the browser.</p>
    <p class="alert alert-info">The <code>html</code> version theme has static CSS only components. Those components are
      by default available in the <code>angular</code> version as well. You can copy and paste the html and use it in
      angular components.</p>
  </div>

  <div class="space"></div>

  <h3 class="section-title">Angular with Full Demo Pages</h3>
  <div class="section-content">
    <p>Angular source code can be found in <code>[metronic]/theme/angular/</code> and available in separate app in
      various demos.</p>
    <div class="space"></div>
    <table class="table-list">
      <thead>
        <tr>
          <th class="force-border">Path</th>
          <th class="force-border">Description</th>
        </tr>
      </thead>
      <tbody>
        <tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">theme</span></td><td>The Metronic theme pacakge.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">angular</span></td><td>The Angular's demo</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">demo1</span></td><td>Full Metronic's Angular application with sample pages. See <a href="#angular-files-structure">Angular files structure</a> below.<br />
		Demo URL <a href="https://keenthemes.com/metronic/preview/angular/demo1" target="_blank">See demo</a></td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">demo2</span></td><td>Full Metronic's Angular application with sample pages. See <a href="#angular-files-structure">Angular files structure</a> below.<br />
		Demo URL <a href="https://keenthemes.com/metronic/preview/angular/demo2" target="_blank">See demo</a></td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">demo3</span></td><td>Full Metronic's Angular application with sample pages. See <a href="#angular-files-structure">Angular files structure</a> below.<br />
		Demo URL <a href="https://keenthemes.com/metronic/preview/angular/demo3" target="_blank">See demo</a></td></tr>      </tbody>
    </table>
  </div>

  <div class="space"></div>

  <h3 id="angular-files-structure" class="section-title">Angular Files Structure</h3>
  <div class="section-content">
    Angular source code can be found in <code>[metronic]/theme/angular_new/[demo]/</code>.<br>
    Below is the list of demo file structure in Angular app.
    <div class="space"></div>
    <table class="table-list">
      <thead>
        <tr>
          <th class="force-border">Path</th>
          <th class="force-border">Description</th>
        </tr>
      </thead>
      <tbody>
        <tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">dist</span></td><td>The build output of Angular. This folder does not included in the package. Run command <code>ng build</code> to build it.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">e2e</span></td><td>End-to-end tests using Protractor. Visit link <a href="https://angular.io/cli/e2e" target="_blank">https://angular.io/cli/e2e</a> for more info.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">node_modules</span></td><td>The <code>package.json</code> file in the app root defines what libraries will be installed into <code>node_modules/</code> when you run <code>npm install</code>.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">src</span></td><td>Your app lives in the src folder. All Angular components, templates, styles, images, and anything else your app needs go here. Any files outside of this folder are meant to support building your app.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">app</span></td><td>Main app folder</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">_helpers</span></td><td>Addinional application helpers</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">fake</span></td><td>Fake database for Authorization mocking.</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">_metronic</span></td><td>Metronic core logic</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">configs</span></td><td>Layout configs</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">core</span></td><td>Metronic custom Services/Pipes</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">partials</span></td><td>Shared components</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">modules</span></td><td>Separated modules</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">auth</span></td><td>Authorization module</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">e-commerce</span></td><td>E-Commmerce module</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">errors</span></td><td>Error pages examples</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">i18n</span></td><td>Internationalization module</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">material</span></td><td>Google Material examples</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">ngBootstrap</span></td><td>NGBootstrap library compoments examples</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">user-management</span></td><td>User Moanagement modules (*not implemented in new version. ETA [v8.x.x])</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">pages</span></td><td>Layout view and pages</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">_layout</span></td><td>Base Layouts</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">builder</span></td><td>Layout builder page</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">Dashboard</span></td><td>Dashboard page</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">layout.module.ts</span></td><td>Layout module</td></tr><tr><td nowrap style="padding-left: 80px;"><span class="file-node file-node-dot">pages-routing.module.ts</span></td><td>Routing for all private pages (based on Layout)</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">app.component.html</span></td><td>Main app template.</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">app.component.ts</span></td><td>Main app typescript.</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">app.module.ts</span></td><td>Main app module. The place where to import and declare required components.</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">app-routing.module.ts</span></td><td>Base routing for the app. Disable unused demo layout in this file to exclude the module.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">assets</span></td><td>This folder will contain all the Metronic core assets needed for the Angular application.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">environments</span></td><td>This folder contains one file for each of destination environments, each exporting simple configuration variables to use in application</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">environment.prod.ts</span></td><td>Production environment config</td></tr><tr><td nowrap style="padding-left: 60px;"><span class="file-node file-node-dot">environment.ts</span></td><td>Development environment config</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">index.html</span></td><td>The <code>index.html</code> lives at the root of front-end structure. The <code>index.html</code> file will primarily handle loading in all the libraries and Angular elements.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">main.ts</span></td><td>The main entry point for your app.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">polyfills.ts</span></td><td>Angular is built on the latest standards of the web platform. A particular browser may require at least one polyfill to run any Angular application. You may need additional polyfills for specific features.<br/>IE9, IE10 and IE11 requires to enable polyfills. Read more <a href="https://angular.io/guide/browser-support">angular.io/guide/browser-support</a></td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">style.angular.scss</span></td><td>Global styles go here which styles that affect all of your app need to be in a central place.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">test.ts</span></td><td>Visit link <a href="https://angular.io/guide/testing" target="_blank">https://angular.io/guide/testing</a> for more info.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">tsconfig.app.json</span></td><td>Visit link <a href="https://www.typescriptlang.org/docs/handbook/tsconfig-json.html" target="_blank">https://www.typescriptlang.org/docs/handbook/tsconfig-json.html</a> for more info.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">tsconfig.spec.json</span></td><td>Visit link <a href="https://www.typescriptlang.org/docs/handbook/tsconfig-json.html" target="_blank">https://www.typescriptlang.org/docs/handbook/tsconfig-json.html</a> for more info.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">tslint.json</span></td><td>When using the CLI or many third-party tools, a file named tslint.json or tslint.yaml is used to configure which rules get run and each of their options. Visit link <a href="https://palantir.github.io/tslint/usage/configuration/" target="_blank">https://palantir.github.io/tslint/usage/configuration/</a> for more info.</td></tr><tr><td nowrap style="padding-left: 40px;"><span class="file-node file-node-dot">typings.d.ts</span></td><td>Use TypeScript type definition files—d.ts files—to tell the compiler about the libraries you load. Visit link <a href="https://angular.io/guide/typescript-configuration#typescript-typings" target="_blank">https://angular.io/guide/typescript-configuration#typescript-typings</a> for more info.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">.editorconfig</span></td><td>Editor configuration, see http://editorconfig.org</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">.gitignore</span></td><td>Git uses it to determine which files and directories to ignore, before you make a commit.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">angular.json</span></td><td>Configuration for Angular CLI. In this file you can set several defaults and also configure what files are included when your project is built. Check out the official documentation if you want to know more.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">package.json</span></td><td>A package.json file contains meta data about app or module. Most importantly, it includes the list of dependencies to install from npm when running npm install.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">package-lock.json</span></td><td>package-lock.json is automatically generated for any operations where npm modifies either the node_modules tree, or package.json</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">tsconfig.json</span></td><td><code>tsconfig.json</code> file in a directory indicates that the directory is the root of a TypeScript project. The tsconfig.json file specifies the root files and the compiler options required to compile the project.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">tslint.json</span></td><td>Linting configuration for <a href="https://palantir.github.io/tslint/">TSLint</a> together with <a href="http://codelyzer.com/">Codelyzer</a>, used when running <code>ng lint</code>. Linting helps keep your code style consistent.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">webpack-rtl.config.js</span></td><td>RTL webpack configuration.</td></tr><tr><td nowrap style="padding-left: ;"><span class="file-node file-node-dot">ngcc.config.js</span></td><td>IVY renderer compatibility settings file.</td></tr>      </tbody>
    </table>
  </div>

  <div class="space"></div>
</div>			</div>
			<!-- contents END -->

		</div>
	</div>
</section><!-- section END -->
</div>


<footer >
    <div class="content-top">
        <div class="container">
            <div class="content-box">
                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom License?</span>
                    <span class="content-desc">
                        Learn more license options at<br/>
                        <a href="mailto:support@keenthemes.com" class="footer-email" target="_blank">support@keenthemes.com</a>
                    </span>
                    <div class="mt-4 d-none">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-danger pb-2 px-3">Get Quote</a>
                    </div>
                </div>

                <div class="line d-flex justify-content-center align-items-center">
                    <div></div>
                </div>

                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom Work?</span>
                    <span class="content-desc">
                        Send us request if you need Metronic<br/>
                        custom development
                    </span>
                    <div class="mt-4">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-primary py-2 px-3">Hire Us</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-bottom w-100 d-flex align-items-center">
        <div class="container">
            <div class="d-flex align-items-center justify-content-between">
                <div class="footer-logo">
                    <a class="kt_logo d-block" href="https://keenthemes.com"><img src="./assets/img/logo.png" alt="logo"></a>
                </div>
                <div class="d-flex align-items-center footer-references">
                    <a href="?page=faq" class="mr-4">FAQ</a>
                    <a href="https://1.envato.market/EA4JP" target="_blank">Buy Now</a>
                </div>
            </div>
        </div>
    </div>
</footer>

</div><!-- wrapper END -->
</body>
</html>